Free Machine Translation API

Integrate automatic translations and Franco shorthand decoding into your apps with low latency

1. Authentication

All requests require passing an API Key inside the Authorization header. You can obtain a free key from the developer console.

Authorization: Bearer YOUR_API_KEY

2. Translate Text Endpoint

POST/v1/translate

Send a POST request to submit text for instant translation.

Request Body Parameters:
  • text *stringThe text source input
  • from stringSource language code (default: auto)
  • to *stringTarget language code (e.g. ar, en, fr)
Response Schema (200 OK):
{
  "status": "success",
  "translated_text": "هذه الجملة ترجمة فرانكو",
  "from": "franco",
  "to": "ar",
  "characters": 31
}
curl -X POST "https://api.francotranslate.com/v1/translate" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "el gomla dih franco translation",
    "from": "franco",
    "to": "ar"
  }'

API Pricing & Limits

Get started for free, upgrade only when you grow

Free Tier

For personal & hobby projects

$0/mo
10,000 requests / mo
  • Access to 96 languages
  • SSL Encryption
  • Community support
Popular

Developer

For websites & small SaaS apps

$29/mo
500,000 requests / mo
  • Priority translation queue
  • Dedicated email support
  • API Key dashboard
  • Detailed analytics

Enterprise

For high-traffic platforms

$149/mo
Unlimited / custom billing
  • Dedicated servers
  • Custom language pair training
  • 99.9% uptime SLA
  • 24/7 Phone support